using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace StekloMaster
{
    public partial class ИЗОБРАЖЕНИЯ_пароль : Form
    {
        public ИЗОБРАЖЕНИЯ_пароль()
        {
            InitializeComponent();
        }

        public string putfolder = "";
        public string putminifolder = "";
        public bool passworddeletete = true;

        private void metroButton5_Click(object sender, EventArgs e)
        {
            if(metroTextBox1.Text != "Vodokanal6")
            {
                MessageBox.Show("Введенный пароль не верен!");
            }
            else
            {
                //удаляем папку
                panel1.Visible = false;
                ИЗОБРАЖЕНИЯ_главная sf = this.Owner as ИЗОБРАЖЕНИЯ_главная;
                sf.correctpass();
                deletefolder();
            }
        }

        void deletefolder()
        {
            //кажем заставку
            label1.Text = "Удаляем папку с вложениями...\r\n" + putfolder;
            Thread nom = new Thread(delegate ()
            {
                if (Directory.Exists(putfolder))
                    Directory.Delete(putfolder, true);
                if (Directory.Exists(putminifolder))
                    Directory.Delete(putminifolder, true);
                this.Invoke(new EventHandler(delegate
                {
                    //вызываем обновление
                    ИЗОБРАЖЕНИЯ_главная sf = this.Owner as ИЗОБРАЖЕНИЯ_главная;
                    sf.obnovlen_tek();
                    this.Close();
                }));
            });
            nom.IsBackground = true;
            nom.Start();
        }

        private void ИЗОБРАЖЕНИЯ_пароль_Shown(object sender, EventArgs e)
        {
            if(!passworddeletete)
            {
                panel1.Visible = false;
                deletefolder();
            }
        }

        private void metroTextBox1_KeyDown(object sender, KeyEventArgs e)
        {
            if (e.KeyCode == Keys.Enter)
            {
                metroButton5_Click(null, null);
            }
        }
    }
}
